Bug 1026445 - [EL5] ovirt-guest-agent should load acpiphp module on start [NEEDINFO]
[EL5] ovirt-guest-agent should load acpiphp module on start
Status: CLOSED WONTFIX
Product: oVirt
Classification: Community
Component: ovirt-guest-agent (Show other bugs)
unspecified
All Linux
unspecified Severity low
: ---
: 3.5.0
Assigned To: Vinzenz Feenstra [evilissimo]
yeylon@redhat.com
virt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-04 11:31 EST by amedeo
Modified: 2016-04-18 02:58 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-12 04:56:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Virt
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
michal.skrivanek: needinfo? (amedeo)


Attachments (Terms of Use)

  None (edit)
Description amedeo 2013-11-04 11:31:21 EST
Description of problem:
ovirt-guest-agent should load acpiphp module on service start due to hotplug / unplug PCI device like block device -> /dev/vdX

Version-Release number of selected component (if applicable):
[root@client01 ~# rpm -qa | egrep 'rhev|ovirt'
rhevm-guest-agent-1.0.7-10.el5ev
[root@client01 ~# rpm -qa | grep release-5
redhat-release-5Server-5.10.0.4


How reproducible:
Always

Steps to Reproduce:
1. Install rhel5 VM
2. add rhel-i386-rhev-agent-5-server channel (for 32bit rhel5
3. yum install rhevm-guest-agent -y
4. service ovirt-guest-agent restart
5. lsmod | grep acpiphp --> none output


Actual results:
ovirt-guest-agent won't load acpiphp module

Expected results:
ovirt-guest-agent should load acpiphp module if it's hasn't yet loaded
Comment 1 Itamar Heim 2014-01-12 03:43:29 EST
setting target release to current version for consideration and review. please do not push non-RFE bugs to an undefined target release to make sure bugs are reviewed for relevancy, fix, closure, etc.
Comment 2 Michal Skrivanek 2014-02-14 09:38:08 EST
what PCI block device hotplug A host passthrough using a vdsm hook for this? Or regular "hotplug disk" via UI?

is this RHEV or oVirt?
Comment 3 amedeo 2014-02-14 10:40:42 EST
(In reply to Michal Skrivanek from comment #2)
> what PCI block device hotplug A host passthrough using a vdsm hook for this?
> Or regular "hotplug disk" via UI?

regular hotplug disk

> 
> is this RHEV or oVirt?

it was opened for rhev but I think it's the same for ovirt and EL5 VMs (like centos5), so if you don't load (manually at this moment) acpiphp module on el5 vm, you can assign a new disk on web UI, but you must reboot the vm itself to scan / see the disk:

https://access.redhat.com/site/solutions/37774
Comment 4 Vinzenz Feenstra [evilissimo] 2014-03-31 03:15:44 EDT
(In reply to amedeo from comment #3)
> (In reply to Michal Skrivanek from comment #2)
> > what PCI block device hotplug A host passthrough using a vdsm hook for this?
> > Or regular "hotplug disk" via UI?
> 
> regular hotplug disk
> 
> > 
> > is this RHEV or oVirt?
> 
> it was opened for rhev but I think it's the same for ovirt and EL5 VMs (like
> centos5), so if you don't load (manually at this moment) acpiphp module on
> el5 vm, you can assign a new disk on web UI, but you must reboot the vm
> itself to scan / see the disk:
> 
> https://access.redhat.com/site/solutions/37774

Honestly I am not sure that this would be a good solution in general. First of all you have to install the oVirt guest agent and the RHEVM guest agent anyway. When you install them you can also install the acpiphp module and configure the OS to make it load the module on startup.
Having such a specific workaround for RHEL5 is in my opinion not any helpful. It is a nice thing to know that we could support disk hotplugging but if you are using an older OS and you want to use such a feature then the OS must be configured to support it anyway.

From my PoV this feature is not really worth it for such a specialized task where this is actually the administrators thing to decide.

Note You need to log in before you can comment on or make changes to this bug.